id: d7_menu_links_translation
label: Menu links
migration_tags:
  - Drupal 7
  - Content
  - Multilingual
source:
  plugin: d7_menu_link_translation
process:
  exists:
    -
      plugin: migration_lookup
      migration: d7_menu_links
      source: mlid
    -
      plugin: skip_on_empty
      method: row
  id: mlid
  # Use the language from the locales_target table.
  langcode: language
  title:
    -
      plugin: callback
      source:
        - title_translated
        - link_title
      callable: array_filter
    -
      plugin: callback
      callable: current
  description:
    -
      plugin: callback
      source:
        - description_translated
        - description
      callable: array_filter
    -
      plugin: callback
      callable: current
destination:
  plugin: entity:menu_link_content
  default_bundle: menu_link_content
  no_stub: true
  translations: true
migration_dependencies:
  required:
    - language
    - d7_language_content_menu_settings
    - d7_menu_links
